SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

CREATE DATABASE `auditad` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `auditad`;

CREATE TABLE IF NOT EXISTS `ad_events` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `evt_date` datetime NOT NULL,
  `evt_id` text NOT NULL,
  `evt_desc` text NOT NULL,
  `evt_chg` text NOT NULL,
  `evt_obj` text NULL,
  `evt_modby` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2086 ;

CREATE USER 'itpwd'@'localhost' IDENTIFIED BY 'itpwd';
GRANT ALL PRIVILEGES ON *.* TO `itpwd`@`localhost` IDENTIFIED BY 'itpwd' WITH GRANT OPTION MAX_QUERIES_PER_HOUR 0 MAX_CONNECTIONS_PER_HOUR 0 MAX_UPDATES_PER_HOUR 0 MAX_USER_CONNECTIONS 0 ;
GRANT SELECT , 
INSERT ,
UPDATE ,
DELETE ,
CREATE ,
REFERENCES ,
INDEX ,
SHOW VIEW ON `auditad`.`ad_events` TO `itpwd`@`localhost` WITH GRANT OPTION ;

/* UPDATE THESE LINES WITH YOUR OWN DOMAIN CONTROLLERS IP ADDRESSES */
GRANT ALL PRIVILEGES ON *.* TO 'itpwd'@'10.20.30.40' IDENTIFIED BY 'itpwd';
GRANT ALL PRIVILEGES ON *.* TO 'itpwd'@'10.20.30.41' IDENTIFIED BY 'itpwd';
GRANT ALL PRIVILEGES ON *.* TO 'itpwd'@'10.20.30.42' IDENTIFIED BY 'itpwd';
